## ubuntu-advantage-tools 1

=== requirements.txt ===
flake8
fixtures

=== debian/changelog ===
ubuntu-advantage-tools (1) precise; urgency=medium

  * Initial Release. LP: #1686183

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Apr 2017 15:04:47 +0100

=== debian/control ===
Source: ubuntu-advantage-tools
Section: misc
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.6
Homepage: https://buy.ubuntu.com
Vcs-Git: https://github.com/CanonicalLtd/ubuntu-advantage-script.git
Vcs-Browser: https://github.com/CanonicalLtd/ubuntu-advantage-script

Package: ubuntu-advantage-tools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ubuntu Advantage tools for ESM
 This package ships Ubuntu Advantage subscription management tools.
 .
 It enables Ubuntu Advantage subscribers to enable Extended Security
 Maintenance (ESM) repository on Ubuntu 12.04 LTS (Precise Pangolin)
 systems.

## ubuntu-advantage-tools 10

=== debian/changelog ===
ubuntu-advantage-tools (10) artful; urgency=medium

  * New upstream release with FIPS support (LP: #1718291)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 19 Sep 2017 18:33:03 -0300

ubuntu-advantage-tools (9) artful; urgency=medium

  * New upstream release:
    - call apt-get with the non-interactive frontend variable set, and tell
      dpkg to keep the old config file by default should there be any prompts
      about that. (LP: #1715012)
    - split the one big test file into multiple smaller files, for better
      maintainability.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 04 Sep 2017 15:15:58 -0300

ubuntu-advantage-tools (8) artful; urgency=medium

  * Release to artful (LP: #1711369)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 22 Aug 2017 12:55:13 -0300

ubuntu-advantage-tools (7) trusty; urgency=medium

  * d/control: update package description

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 17 Aug 2017 11:31:37 -0300

ubuntu-advantage-tools (6) trusty; urgency=medium

  * New release version 6. Main changes:
    - document return codes on the manpage (Fixes: #33)
    - new status command (Fixes: #40)
    - restrict esm to precise only (Fixes: #43)
    - drop the livepatch motd update, only esm has motd output now
      (Fixes: #44)
    - skip tests during package building (Fixes #49)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 16 Aug 2017 15:21:16 -0300

ubuntu-advantage-tools (5) trusty; urgency=medium

  * Only display apt output in the case of errors (Fixes #34).

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 08 Aug 2017 12:41:25 -0300

ubuntu-advantage-tools (4) trusty; urgency=medium

  * Check running kernel version before enabling the Livepatch service
    (Fixes #30).

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 07 Aug 2017 18:45:23 -0300

ubuntu-advantage-tools (3) trusty; urgency=medium

  * Add livepatch support:
    - New commands:
      + enable-livepatch
      + disable-livepatch
      + is-livepatch-enabled
    - new tests
    - new manpage
    - new help output
    - new README.md
    - new MOTD

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 07 Aug 2017 11:09:31 -0300

ubuntu-advantage-tools (2) trusty; urgency=medium

  * ubuntu-advantage & /etc/update-motd.d/99-esm now build, run and are quiet
    on non-precise release. (LP: #1686183)
  * Add simple dep8 tests.
  * Also install ca-certificates (LP: #1690270)

 -- David Britton <david.britton@canonical.com>  Fri, 30 Jun 2017 15:20:00 -0600

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
 
 Package: ubuntu-advantage-tools
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Ubuntu Advantage tools for ESM
- This package ships Ubuntu Advantage subscription management tools.
+Depends: ${misc:Depends}
+Description: management tools for Ubuntu Advantage
+ Ubuntu Advantage is the professional package of tooling, technology
+ and expertise from Canonical, helping organisations around the world
+ manage their Ubuntu deployments.
  .
- It enables Ubuntu Advantage subscribers to enable Extended Security
- Maintenance (ESM) repository on Ubuntu 12.04 LTS (Precise Pangolin)
- systems.
+ Subscribers to Ubuntu Advantage will find helpful tools for accessing
+ services in this package.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	@echo "Skipping tests during package builds."

## ubuntu-advantage-tools 10ubuntu0.14.04.3

=== debian/changelog ===
ubuntu-advantage-tools (10ubuntu0.14.04.3) trusty; urgency=medium

  * Enable support for Trusty ESM (LP: #1825239)
  * Install an unattended-upgrades configuration that allows for the
    UbuntuESM trusty-security origin.
  * Re-enable tests at package build time, just not flake8 as python3-flake8
    is in universe:
    - d/rules: run tests
    - d/control: add test dependencies

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 18 Apr 2019 15:20:23 +0000

ubuntu-advantage-tools (10ubuntu0.14.04.2) trusty; urgency=medium

  * Skipping tests during package builds.
    - d/rules: Disabling the tests.
    - d/control: Removing tests dependencies.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 07 Nov 2017 10:07:49 -0500

ubuntu-advantage-tools (10ubuntu0.14.04.1) trusty; urgency=medium

  * Backport version 10 to trusty.
  * Backports from upstream version 13 (LP: #1719671):
    - support older python3 versions in the test suite
    - d/control, d/rules: run tests at package build time
    - default FIPS tests to the x86_64 architecture
    - add FIPS test for unsupported architecture

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 05 Nov 2017 14:21:16 -0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: misc
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>=9)
+Build-Depends: debhelper (>=9), python3 (>= 3.4), fakeroot, python3-fixtures,
+ lsb-release
 Standards-Version: 3.9.6
 Homepage: https://buy.ubuntu.com
 Vcs-Git: https://github.com/CanonicalLtd/ubuntu-advantage-script.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	python3 -m unittest discover tests

## ubuntu-advantage-tools 10ubuntu0.17.04.1

=== Makefile ===
build:
	@echo Nothing to build.

test:
	@tox

lint:
	@shellcheck -s dash ubuntu-advantage update-motd.d/*


.PHONY: build test lint

=== debian/changelog ===
ubuntu-advantage-tools (10ubuntu0.17.04.1) zesty; urgency=medium

  * Backport version 10 to zesty.
  * Backports from upstream version 13 (LP: #1719671):
    - support older python3 versions in the test suite
    - d/control, d/rules: run tests at package build time
    - default FIPS tests to the x86_64 architecture
    - add FIPS test for unsupported architecture

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 05 Nov 2017 18:41:46 -0200

## ubuntu-advantage-tools 10ubuntu0.17.10.1

=== debian/changelog ===
ubuntu-advantage-tools (10ubuntu0.17.10.1) artful; urgency=medium

  * Backports from upstream version 13 (LP: #1719671):
    - support older python3 versions in the test suite
    - d/control, d/rules: run tests at package build time
    - default FIPS tests to the x86_64 architecture
    - add FIPS test for unsupported architecture

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 05 Nov 2017 18:45:21 -0200

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_test:
	python3 -m unittest discover tests
	flake8 tests

## ubuntu-advantage-tools 17

=== Makefile ===
UA_SCRIPTS = ubuntu-advantage $(wildcard modules/*)
MOTD_SCRIPTS = $(wildcard update-motd.d/*)


build:
	@echo Nothing to build.

testdep:
	pip install tox

test:
	@tox -e py3

lint: lint-py lint-sh

lint/docker: lint-py lint-sh/docker

lint-py:
	@tox -e lint

lint-sh: SHELLCHECK = shellcheck
lint-sh: BASH_SCRIPTS = $(UA_SCRIPTS)
lint-sh: DASH_SCRIPTS = $(MOTD_SCRIPTS)
lint-sh: _lint-sh-command

lint-sh/docker: SHELLCHECK = docker run --rm -it -v $(PWD):/repo koalaman/shellcheck
lint-sh/docker: BASH_SCRIPTS = $(patsubst %,/repo/%,$(UA_SCRIPTS))
lint-sh/docker: DASH_SCRIPTS = $(patsubst %,/repo/%,$(MOTD_SCRIPTS))
lint-sh/docker: _lint-sh-command

_lint-sh-command:
	@$(SHELLCHECK) -s bash $(BASH_SCRIPTS)
	@$(SHELLCHECK) -s dash $(DASH_SCRIPTS)

clean:
	find . -type f -name '*.pyc' -delete
	rm -rf .tox tests/__pycache__

.PHONY: build testdep test lint lint/docker lint-py lint-sh lint-sh/docker _lint-sh-command clean

=== debian/changelog ===
ubuntu-advantage-tools (17) bionic; urgency=medium

  * New upstream release (LP: #1759280):
    - Added enable-fips-updates command. This command enables the fips-updates
      repository to install updates to FIPS modules. The updated modules from
      fips-updates repository are non-certified.
    - Add repository pinning for FIPS packages
    - Check that all prerequisite packages are installed when enabling FIPS
    - Support returning the status for a single service

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Mar 2018 14:20:04 -0300

ubuntu-advantage-tools (16) bionic; urgency=medium

  * d/t/update-motd-run: fix path to the esm motd (LP: #1757490)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Mar 2018 13:58:34 -0300

ubuntu-advantage-tools (15) bionic; urgency=medium

  * Rename motd scripts so they are shown a bit earlier (LP: #1757171)
  * Move empty line placement in the livepatch motd to the beginning of the
    message to avoid double blank lines.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 20 Mar 2018 16:44:31 -0300

ubuntu-advantage-tools (14) bionic; urgency=medium

  * New upstream release:
    - repositories are only added after credentials are verified
      (LP: #1730361)
    - Livepatch MOTD script (LP: #1710976)
    - better "status" command output formatting (LP: #1719034)
    - sources.list.d files no longer contain credentials. The "auth.conf"
      facility is used instead. (LP: #1700611)
    - enabled Livepatch support for Bionic 18.04 LTS

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 06 Feb 2018 09:58:03 -0200

ubuntu-advantage-tools (13) bionic; urgency=medium

  * New upstream release:
    - run tests during package build

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 30 Oct 2017 16:37:30 -0200

ubuntu-advantage-tools (12) artful; urgency=medium

  * New upstream release:
    - revert the latest name changes
    - instead of "advantage", add a "ua" symlink pointing at the
      ubuntu-advantage script. Likewise for its manpage. (LP: #1721272)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 13 Oct 2017 14:22:20 -0300

ubuntu-advantage-tools (11) artful; urgency=medium

  * New upstream release:
    - rename the ubuntu-advantage script to advantage, including where it's
      mentioned in the documentation. Also provide symlinks pointing at the
      previous name. (LP: #1721272)
    - slightly reword some of the FIPS messages

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 04 Oct 2017 14:31:33 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>=9), python3 (>= 3.4), fakeroot, python3-fixtures,
- lsb-release
+Build-Depends: debhelper (>=9), flake8 | python3-flake8, python3 (>= 3.4), fakeroot,
+ python3-fixtures, lsb-release
 Standards-Version: 3.9.6
 Homepage: https://buy.ubuntu.com
 Vcs-Git: https://github.com/CanonicalLtd/ubuntu-advantage-script.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_test:
	python3 -m unittest discover tests
	python3 /usr/bin/flake8 tests

=== debian/tests/control ===
Tests: usage, update-motd-run
Restrictions: allow-stderr

## ubuntu-advantage-tools 19.4

=== Makefile ===


build:
	$(MAKE) -C apt-hook build

deps:
	./dev/read-dependencies -v 3 --system-pkg-names --test-distro

clean:
	rm -f *.build *.buildinfo *.changes .coverage *.deb *.dsc *.tar.gz *.tar.xz
	rm -rf *.egg-info/ .tox/ .cache/
	find . -type f -name '*.pyc' -delete
	find . -type d -name '*__pycache__' -delete
	$(MAKE) -C apt-hook clean

deb:
	@echo Building unsigned debian package
	@which dpkg-buildpackage || \
               { echo -e "Missing build dependencies. Install with:" \
                 "\n make deps"; exit 1; }
	./dev/bddeb

test:
	@tox

testdeps:
	pip install tox


.PHONY: build deps clean deb test testdeps

=== requirements.txt ===
pymacaroons
pyyaml

=== apt-hook/Makefile ===
all: hook

build: hook

hook: hook.cc
	$(CXX) -Wall -Wextra -pedantic $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -g -o hook hook.cc -lapt-pkg $(LDLIBS)

install: hook
	install -D -m 644 20apt-esm-hook.conf $(DESTDIR)/etc/apt/apt.conf.d/20apt-esm-hook.conf
	install -D -m 755 hook $(DESTDIR)/usr/lib/ubuntu-advantage/apt-esm-hook

clean:
	rm -f hook

=== debian/changelog ===
ubuntu-advantage-tools (19.4) disco; urgency=medium

  * Drop the self-test assert in the apt-hook, it's making the subiquity
    server install fail (LP: #1824523)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 12 Apr 2019 17:59:16 -0300

ubuntu-advantage-tools (19.3) disco; urgency=medium

  * apt-hook: Do not crash/fail if we can't read /proc/self/status
    (LP: #1824523)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 12 Apr 2019 09:25:15 -0300

ubuntu-advantage-tools (19.2) disco; urgency=medium

  * Ubuntu Advantage Tools rewrite in Python (LP: #1814157):
    - Allow attaching a system to a contract or account
    - More complete status output, dropping MOTD updates
    - Easily enable and disable services offered

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 08 Apr 2019 16:55:12 -0300

ubuntu-advantage-tools (18) bionic; urgency=medium

  * Have ua status cope with the additional livepatch of running a kernel
    that is not supported for livepatches.
  * Have an option for enable-livepatch to install a compatible kernel if
    needed.

  [ Vineetha Kamath ]
  * Add support to common criteria EAL2 artifacts installation #144

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 21 Jun 2018 14:30:57 -0300

=== debian/control ===
Source: ubuntu-advantage-tools
Section: misc
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bash-completion,
               debhelper (>=9),
               dh-python,
               git,
               libapt-pkg-dev,
               python3 (>= 3.4),
               python3-flake8,
               python3-pymacaroons,
               python3-mock,
               python3-pytest,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.3.0
Homepage: https://buy.ubuntu.com
Vcs-Git: https://github.com/CanonicalLtd/ubuntu-advantage-script.git
Vcs-Browser: https://github.com/CanonicalLtd/ubuntu-advantage-script

Package: ubuntu-advantage-tools
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-pkg-resources
Description: management tools for Ubuntu Advantage
 Ubuntu Advantage is the professional package of tooling, technology
 and expertise from Canonical, helping organisations around the world
 manage their Ubuntu deployments.
 .
 Subscribers to Ubuntu Advantage will find helpful tools for accessing
 services in this package.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
FLAKE8 := $(shell flake8 --version 2> /dev/null)

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C apt-hook build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest
ifdef FLAKE8
	# required for Trusty: flake8 does not install a __main__  for -m
	# invocation
	python3 $(shell which flake8) uaclient
else
	python3 -m flake8 uaclient
endif
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/ubuntu-advantage-tools
	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}
	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install

override_dh_auto_clean:
	dh_auto_clean
	make clean

## ubuntu-advantage-tools 19.5.1

=== Makefile ===
mkfile_path := $(abspath $(lastword $(MAKEFILE_LIST)))
mkfile_dir := $(dir $(mkfile_path))

build:
	$(MAKE) -C apt-hook build

clean:
	rm -f *.build *.buildinfo *.changes .coverage *.deb *.dsc *.tar.gz *.tar.xz
	rm -rf *.egg-info/ .tox/ .cache/ .mypy_cache/
	find . -type f -name '*.pyc' -delete
	find . -type d -name '*__pycache__' -delete
	$(MAKE) -C apt-hook clean

demo:
	@echo Creating contract-bionic-demo container with ua-contracts server
	@./demo/demo-contract-service

deps:
	@which mk-build-deps > /dev/null || { \
		echo "Missing mk-build-deps; installing devscripts, equivs."; \
		apt-get install --no-install-recommends --yes devscripts equivs; \
	}
	mk-build-deps --tool "apt-get --no-install-recommends --yes" \
		--install --remove ${mkfile_dir}/debian/control

test:
	@tox

testdeps:
	pip install tox


.PHONY: build clean test testdeps demo

=== debian/changelog ===
ubuntu-advantage-tools (19.5.1) eoan; urgency=medium

  * d/t/usage: fix dep8 test ("entitlements" was renamed to "services")

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 03 Jul 2019 21:55:25 -0300

ubuntu-advantage-tools (19.5) eoan; urgency=medium

  * New upstream release (LP: #1832757):
    - packaging:
      + d/control: depend on libapt-pkg<ABI_VERSION> to use pin-priority never
      + d/postinst: adjust logfile permissions
      + d/postinst: remove public files and generate status cache on upgrade
      + d/postinst: Remove the old CACHE_DIR in postinst
      + d/postrm: remove log files on package purge
      + d/postrm: remove the ESM pinning file on purge
      + trusty should remove v1 esm key if present after upgrade
      + keyrings: regenerate keyrings on a trusty host
      + refresh keyrings to match current production for fips and cc-eal
    - apt:
      + all repo entitlements now call apt-get update on enable
      + enable -updates if -updates from the Ubuntu archive is enabled
      + Add basic i18n (good enough for lang packs)
      + retry apt install and update commands 3 times simple backoff
      + write commented -updates lines instead of omitting them
    - attach/detach:
      + added --no-auto-enable option
      + suppress messages from inapplicable default entitlements
      + two-factor auth reprompt only two-factor auth on failed 2fa
      + honour enableByDefault obligations from contract server
      + livepatch: no auto-enable on attach for trusty
      + don't attempt to disable inapplicable entitlements during detach
      + check for root before checking for attach in assert_attached_root
    - status:
      + add --json cli formatting option
      + emit a SERVICE header in status output
      + redact technical support and expiry for free contracts
      + unentitled services will report n/a
    - cc-eal:
      + add a warning about download size before install
      + change cc to cc-eal in docs, parameters and commandline help
    - esm:
      + add esm-v2 gpg keyring, drop old keyring, ignore aptKey directive
      + and livepatch auto enabled on attach where supported
      + on upgrade do not install preferences to pin never if esm enabled
      + remove only the apt auth entry on disable, leaving sources.list
      + use Pin-Priority never apt preference file to disable esm initially
    - fips:
      + display as pending when linux-fips is not the running kernel
      + only install/upgrade optional packages that are already on the system
    - logs:
      + no longer redact secrets as logfile is root read-only
      + separate console log devel from logfile level
      + remove level from messages to the console
    - add subcommand to refresh all contract details
    - config: allow contract_url and sso_auth_url to have a trailing slash
    - docker: fix persisting generated uuid on images without machine-id files
    - environ: allow lowercase ua_<config_option> overrides
    - repo: un-comment ESM sources.list lines on repo disable
    - updated manpage and help docs

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 03 Jul 2019 15:55:11 -0300

ubuntu-advantage-tools (19.4.1) eoan; urgency=medium

  * apt-hook: Add missing headers for APT 1.9

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 18 Jun 2019 18:21:19 -0300

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: bash-completion,
                debhelper (>=9),
                dh-python,
+               gettext,
                git,
                libapt-pkg-dev,
                python3 (>= 3.4),
@@ -24,7 +25,8 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-pkg-resources
+         python3-pkg-resources,
+         ${extra:Depends},
 Description: management tools for Ubuntu Advantage
  Ubuntu Advantage is the professional package of tooling, technology
  and expertise from Canonical, helping organisations around the world

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,19 @@
 
 include /usr/share/dpkg/pkg-info.mk
 FLAKE8 := $(shell flake8 --version 2> /dev/null)
+
+include /etc/os-release
+ifeq (${VERSION_ID},"14.04")
+LIBAPT_PKG_DEP="libapt-pkg4.12 (>= 1.0.1ubuntu2.23)"
+else ifeq (${VERSION_ID},"16.04")
+LIBAPT_PKG_DEP="libapt-pkg5.0 (>= 1.2.31)"
+else ifeq (${VERSION_ID},"18.04")
+LIBAPT_PKG_DEP="libapt-pkg5.0 (>= 1.6.9)"
+else ifeq (${VERSION_ID},"18.10")
+LIBAPT_PKG_DEP="libapt-pkg5.0 (>= 1.7.4)"
+else ifeq (${VERSION_ID},"19.04")
+LIBAPT_PKG_DEP="libapt-pkg5.0 (>= 1.8.1)"
+endif
 
 %:
 	dh $@ --with python3,bash-completion --buildsystem=pybuild
@@ -23,6 +36,10 @@
 endif
 endif
 
+override_dh_gencontrol:
+	[ -z '$(LIBAPT_PKG_DEP)' ] || echo extra:Depends=$(LIBAPT_PKG_DEP) >> debian/ubuntu-advantage-tools.substvars
+	dh_gencontrol
+
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/ubuntu-advantage-tools
 	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}

## ubuntu-advantage-tools 19.6~ubuntu14.04.4

=== debian/changelog ===
ubuntu-advantage-tools (19.6~ubuntu14.04.4) trusty; urgency=medium

  * d/postinst: only configure ESM on supported architectures (LP: #1851858)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 14 Nov 2019 14:34:50 -0300

ubuntu-advantage-tools (19.6~ubuntu14.04.3) trusty; urgency=medium

  * d/postinst: rename existing ubuntu-esm-precise.list file to trusty.
    This fixes the upgrade path from precise to trusty and to this client
    while esm is enabled (LP: #1850672)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 30 Oct 2019 10:01:58 -0300

ubuntu-advantage-tools (19.6~ubuntu14.04.2) trusty; urgency=medium

  * d/control, d/rules: don't run flake8 tests since python3-flake8 is in
    universe (LP: #1849851)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 25 Oct 2019 11:37:31 -0300

ubuntu-advantage-tools (19.6~ubuntu14.04.1) trusty; urgency=medium

  * New upstream release (LP: #1832757). Main changes:
    - drop SSO interactive login support
    - d/control: no longer depend on pymacaroons, which was only needed for
      the SSO interactive login support
    - drop keyrings for services not supported in trusty: cc-eal, fips,
      fips-updates, cis audit
    - make sure /var/lib/ubuntu-advantage/private has 0700 perms
    - rename esm to esm-infra. Also handle upgrades
    - don't unecessarily remove config files that are already handled by dpkg
    - expand the apt related runtime dependencies
    - handle sources.list.d esm snippet when release upgrading from precise
    - ua status now reports availability of services even in unattached state
    - the "ua status" output was changed, including the json format option
    - drop "ua status" call in postinst as it now requires internet access and
      that is restricted in LP builders and test runners.
    - fix the d/t/usage DEP8 test that was also using status

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 23 Oct 2019 13:12:08 -0300

## ubuntu-advantage-tools 19.7

=== Makefile ===
--- 
+++ 
@@ -29,5 +29,24 @@
 testdeps:
 	pip install tox
 
+travis-deb-install:
+	git fetch --unshallow
+	sudo apt-get update
+	sudo apt-get build-dep -y ubuntu-advantage-tools
+	sudo apt-get install -y --install-recommends sbuild ubuntu-dev-tools
+	# Missing build-deps
+	sudo apt-get install -y --install-recommends libapt-pkg-dev python3-mock python3-pytest
+
+# Use the mirror for a GCE region, to speed things up. (Travis build VMs use
+# DataSourceNone so we can't dynamically determine the correct region.)
+travis-deb-script: export DEBOOTSTRAP_MIRROR=http://us-central1.gce.archive.ubuntu.com/ubuntu/
+travis-deb-script:
+	debuild -S -uc -us
+	sudo sbuild-adduser ${USER}
+	cp /usr/share/doc/sbuild/examples/example.sbuildrc /home/${USER}/.sbuildrc
+	# Use this to get a new shell where we're in the sbuild group
+	sudo -E su ${USER} -c 'mk-sbuild ${PACKAGE_BUILD_SERIES}'
+	sudo -E su ${USER} -c 'sbuild --nolog --verbose --dist=${PACKAGE_BUILD_SERIES} ../ubuntu-advantage-tools*.dsc'
+
 
 .PHONY: build clean test testdeps demo

=== debian/changelog ===
ubuntu-advantage-tools (19.7) trusty; urgency=medium

  * Add support to new esm-infra-legacy service (LP: #2060566)

 -- Lucas Moura <lucas.moura@canonical.com>  Thu, 28 Mar 2024 14:43:22 -0300

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,6 @@
                git,
                libapt-pkg-dev,
                python3 (>= 3.4),
-               python3-flake8,
-               python3-pymacaroons,
                python3-mock,
                python3-pytest,
                python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

include /etc/os-release
# see https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/1840091/comments/3
ifeq (${VERSION_ID},"14.04")
APT_PKG_DEPS="apt (>= 1.0.1ubuntu2.23), apt-transport-https (>= 1.0.1ubuntu2.23), apt-utils (>= 1.0.1ubuntu2.23), libapt-inst1.5 (>= 1.0.1ubuntu2.23), libapt-pkg4.12 (>= 1.0.1ubuntu2.23) "
else ifeq (${VERSION_ID},"16.04")
APT_PKG_DEPS="apt (>= 1.2.32), apt-transport-https (>= 1.2.32), apt-utils (>= 1.2.32), libapt-inst2.0 (>= 1.2.32), libapt-pkg5.0 (>= 1.2.32)"
else ifeq (${VERSION_ID},"18.04")
APT_PKG_DEPS="apt (>= 1.6.11), apt-utils (>= 1.6.11), libapt-inst2.0 (>= 1.6.11), libapt-pkg5.0 (>= 1.6.11)"
else ifeq (${VERSION_ID},"19.04")
APT_PKG_DEPS="apt (>= 1.8.1), apt-utils (>= 1.8.1), libapt-inst2.0 (>= 1.8.1), libapt-pkg5.0 (>= 1.8.1)"
else ifeq (${VERSION_ID},"19.10")
APT_PKG_DEPS="apt (>= 1.8.1), apt-utils (>= 1.8.1), libapt-pkg5.90 (>= 1.8.1)"
endif

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C apt-hook build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest
endif

override_dh_gencontrol:
	[ -z '$(APT_PKG_DEPS)' ] || echo extra:Depends=$(APT_PKG_DEPS) >> debian/ubuntu-advantage-tools.substvars
	dh_gencontrol

override_dh_auto_install:
	dh_auto_install --destdir=debian/ubuntu-advantage-tools
	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}
	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install

override_dh_auto_clean:
	dh_auto_clean
	make clean

=== debian/tests/control ===
Tests: usage
Restrictions: allow-stderr

## ubuntu-advantage-tools 20.3

=== Makefile ===
--- 
+++ 
@@ -27,13 +27,14 @@
 	@tox
 
 testdeps:
+	pip install -U six
 	pip install tox
 
 travis-deb-install:
 	git fetch --unshallow
 	sudo apt-get update
 	sudo apt-get build-dep -y ubuntu-advantage-tools
-	sudo apt-get install -y --install-recommends sbuild ubuntu-dev-tools
+	sudo apt-get install -y --install-recommends sbuild ubuntu-dev-tools dh-systemd
 	# Missing build-deps
 	sudo apt-get install -y --install-recommends libapt-pkg-dev python3-mock python3-pytest

=== apt-hook/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
-all: hook
+all: build
 
-build: hook
+build: hook ubuntu-advantage.pot
+
+ubuntu-advantage.pot: hook.cc
+	xgettext hook.cc -o ubuntu-advantage.pot
 
 hook: hook.cc
 	$(CXX) -Wall -Wextra -pedantic $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -g -o hook hook.cc -lapt-pkg $(LDLIBS)
@@ -10,4 +13,4 @@
 	install -D -m 755 hook $(DESTDIR)/usr/lib/ubuntu-advantage/apt-esm-hook
 
 clean:
-	rm -f hook
+	rm -f hook ubuntu-advantage.pot

=== debian/changelog ===
ubuntu-advantage-tools (20.3) focal; urgency=medium

  * New upstream release 20.3:
    - ubuntu-pro: automatically reattach across instance id delta
      (LP: #1867573)
    - integration testing:
      + add behave tests ua subcommands for attached vm
      + add invalid token tests
      + add reuse_container test docs
      + refactor token parameter

 -- Chad Smith <chad.smith@canonical.com>  Mon, 30 Mar 2020 14:49:17 -0600

ubuntu-advantage-tools (20.2) focal; urgency=medium

  * d/templates: add a debconf note on upgrade from pre-ubuntu pro package
  * d/control: create a separate ubuntu-advantage-pro package which
      delivers the tooling and scripts necessary to auto-attach pro machines
      This change breaks/replaces ubuntu-advantage-tools <= 20.1
  * d/maintscript: rm_conffile /etc/init/ua-auto-attach.conf from ua-tools pkg
  * d/postint: remove stale systemd symlinks which have migrated to ubuntu-pro
  * d/rules: only install the apt hook on trusty
  * d/rules: provide --no-start to debhelper to avoid auto-attach on pkg install
  * Release 20.2:
    - ubuntu-pro:
      + azure: fix detection of DatasourceAzureNet as azure on trusty
      + generalize identity_doc to return dict instead of string
      + auto-attach: any 4XX errors during auto-attach are the result of non-Pro
      + auto-attach: handle 403 errors raised by contract server for invalid vms
    - attach: persist any status config changes after attach failures
    - output: add messaging using a different subscription if attached

 -- Chad Smith <chad.smith@canonical.com>  Thu, 20 Feb 2020 11:13:15 -0700

ubuntu-advantage-tools (20.1) xenial; urgency=medium

  * Release 20.1:
    - azure-pro, support for azure ubuntu pro auto-attach:
      + add azure auto-attach instance as valid cloud_instance_factory
      + add azure cloud instance module and tests
      + generalize request_aws_contract_token for multiple cloud_types
      + contract: request_auto_attach_contract_token takes an instance param
    - constraints: add constraint on pyyaml version in trusty
    - auto-attach: move duplicate invalid cloud_type check out of cli

 -- Chad Smith <chad.smith@canonical.com>  Mon, 13 Jan 2020 15:09:18 -0700

ubuntu-advantage-tools (19.7) xenial; urgency=medium

  * d/postinst: only configure ESM on supported architectures (LP: #1851858)
      [Andreas Hasenack]
  * d/postinst: rename existing ubuntu-esm-precise.list file to trusty.
    This fixes the upgrade path from precise to trusty and to this client
    while esm is enabled (LP: #1850672)
  * Release 19.7:
    - aws: handle missing SYS_HYPERVISOR_PRODUCT_UUID
    - aws-pro: support for aws ubuntu pro auto-attach
    - pro: add cloud identity module and fix unit tests
    - pro: update systemd service and upstart boot scripts to auto-attach
    - pro: esm do not do apt pin never on disable on xenial or bionic
    - pro: esm-apps has origin UbuntuESMApps and esm-infra is UbuntuESM
    - status: dynamic status available now from refreshed machine-token
    - uaclient: update customer visible messages after UX review
    - esm-apps: allow unattended security upgrades for esm-apps
    - systemd: needs WantedBy=multi-user.target to get pulled into boot
    - cli: update docstring to describe errors raised from auto-attach
    - keyrings: update ubuntu-advantage-esm-apps.gpg with correct key
    - repo: match strict repo url in apt-policy to avoid esm substring matches
    - esm: don't disable_apt_auth_only for ESM entitlements
    - initial implementation of esm-apps
    - repo: don't raise exception in application_status if aptURL missing
    - entitlements: rely solely on contract server for repo_url
    - cli: exit 0 if already attached
    - cli: use decorators for action_attach and action_attach_premium
    - cli: add assert_not_attached decorator
    - status: custom descriptions for n/a service status

 -- Chad Smith <chad.smith@canonical.com>  Fri, 29 Nov 2019 11:09:18 -0700

ubuntu-advantage-tools (19.6) focal; urgency=medium

  * New upstream release. Main changes:
    - drop SSO interactive login support
    - d/control: no longer depend on pymacaroons, which was only needed for
      the SSO interactive login support
    - drop keyrings for services not supported in trusty: cc-eal, fips,
      fips-updates, cis audit
    - make sure /var/lib/ubuntu-advantage/private has 0700 perms
    - rename esm to esm-infra. Also handle upgrades
    - don't unecessarily remove config files that are already handled by dpkg
    - expand the apt related runtime dependencies
    - handle sources.list.d esm snippet when release upgrading from precise
    - ua status now reports availability of services even in unattached state
    - the "ua status" output was changed, including the json format option
    - drop "ua status" call in postinst as it now requires internet access and
      that is restricted in LP builders and test runners.
    - fix the d/t/usage DEP8 test that was also using status

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 04 Jul 2019 14:12:58 -0300

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,12 @@
                git,
                libapt-pkg-dev,
                python3 (>= 3.4),
+               python3-flake8,
                python3-mock,
                python3-pytest,
                python3-setuptools,
-               python3-yaml
+               python3-yaml,
+               dh-systemd
 Standards-Version: 4.3.0
 Homepage: https://buy.ubuntu.com
 Vcs-Git: https://github.com/CanonicalLtd/ubuntu-advantage-script.git
@@ -32,3 +34,12 @@
  .
  Subscribers to Ubuntu Advantage will find helpful tools for accessing
  services in this package.
+
+Package: ubuntu-advantage-pro
+Architecture: any
+Depends: ubuntu-advantage-tools (>=20.2)
+Replaces: ubuntu-advantage-tools (<<20.2)
+Breaks: ubuntu-advantage-tools (<<20.2)
+Description: utilities and services for Ubuntu Pro images
+ The Ubuntu Pro package delivers additional utilities for use on authorised
+ Ubuntu Pro machines.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
+FLAKE8 := $(shell flake8 --version 2> /dev/null)
 
 include /etc/os-release
 # see https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/1840091/comments/3
@@ -18,7 +19,8 @@
 endif
 
 %:
-	dh $@ --with python3,bash-completion --buildsystem=pybuild
+	dh $@ --with python3,bash-completion,systemd --buildsystem=pybuild \
+		--no-start
 
 override_dh_auto_build:
 	dh_auto_build
@@ -27,6 +29,13 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	python3 -m pytest
+ifdef FLAKE8
+	# required for Trusty: flake8 does not install a __main__  for -m
+	# invocation
+	python3 $(shell which flake8) uaclient
+else
+	python3 -m flake8 uaclient
+endif
 endif
 
 override_dh_gencontrol:
@@ -36,7 +45,21 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/ubuntu-advantage-tools
 	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}
+ifeq (${VERSION_ID},"14.04")
 	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install
+endif
+
+ifeq (${VERSION_ID},"14.04")
+	# Move ua-auto-attach.conf to ubuntu-advantage-pro
+	mkdir -p debian/ubuntu-advantage-pro/etc/init
+	mv debian/ubuntu-advantage-tools/etc/init/ua-auto-attach.conf debian/ubuntu-advantage-pro/etc/init/
+	rmdir debian/ubuntu-advantage-tools/etc/init
+else
+	# Move ua-auto-attach.service to ubuntu-advantage-pro
+	mkdir -p debian/ubuntu-advantage-pro/lib/systemd/system
+	mv debian/ubuntu-advantage-tools/lib/systemd/system/ua-auto-attach.service debian/ubuntu-advantage-pro/lib/systemd/system
+	cd debian/ubuntu-advantage-tools && rmdir -p lib/systemd/system
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean

## ubuntu-advantage-tools 24.4

=== debian/changelog ===
ubuntu-advantage-tools (24.4) groovy; urgency=medium

  * New bug-fix-only release 24.4:
    - uaclient.version bump to 24.4
    - fips: honor additionalPackage directive from contract for bionic
      (GH #1173)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 01 Sep 2020 11:14:39 -0600

ubuntu-advantage-tools (24.3) groovy; urgency=medium

  * New bug-fix-only release 24.3:
    - uaclient.version bump to 24.3
    - fips: add conditional reboot message only if /var/run/reboot-required is
      present
    - fips: add apt repo key for FIPS and FIPS updates (GH #1026)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 20 Aug 2020 14:50:17 -0600

ubuntu-advantage-tools (24.2) groovy; urgency=medium

  * New bug-fix-only release 24.2:
    - uaclient.version bump to 24.2
    - pro: Add AWS China and GovCloud partitions support (GH #1077)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 03 Jun 2020 16:12:41 -0600

ubuntu-advantage-tools (24.1) groovy; urgency=medium

  * New bug-fix-only release 24.1:
    - livepatch: run snap wait system snap.seeded before trying to install
      (GH: #1049)
    - version: return debian/changelog version when git describe fails to
      match upstream <major>.<minor> tags for git-ubuntu workflow
      (GH: #1058)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 18 May 2020 15:07:17 -0600

ubuntu-advantage-tools (24.0) groovy; urgency=medium

  * bump version to 24.0 for new versioninig scheme

 -- Chad Smith <chad.smith@canonical.com>  Mon, 18 May 2020 15:04:33 -0600

## ubuntu-advantage-tools 26.2

=== debian/changelog ===
ubuntu-advantage-tools (26.2) hirsute; urgency=medium

  * Drop dh-systemd build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2021 16:54:12 +0100

ubuntu-advantage-tools (26.1) hirsute; urgency=medium

  *  New upstream release 26.1
     - contract: block detach call to contract if machine-id change
     - docs: add readme docs about mastering clean golden images
     - fips: add reboot notices for fips operations (GH: #1368)
     - livepatch: add retry when running canonical-livepatch status
       (GH: #1360)
     - util: use lru_cache to avoid re-reading os-release and machine-id
       (GH: #1329)
     - tests:
       + add disable_auto_attach config to all test PRO vms
       + add more log artifacts during failed integration test
       + check cloudinit status after launching image
       + mock leaking livepatch.application_status for fips test
       + retry package installs on apt exit 100
     - jenkins: parameterize build stages to avoid parallel job collision

 -- Lucas Moura <lucas.moura@canonical.com>  Fri, 19 Feb 2021 10:30:22 -0300

ubuntu-advantage-tools (26.0.1~21.04.1) hirsute; urgency=medium

  * auto-attach: fix comparing numeric iid

 -- Lucas Moura <lucas.moura@canonical.com>  Fri, 05 Feb 2021 14:10:09 -0300

ubuntu-advantage-tools (26.0~21.04.1) hirsute; urgency=medium

  * New upstream release 26.0:
    - auto-attach: systemd unit to run before ua-reboot-cmds.service
    - config: remove_notice should remove notices.json when empty
    - fips:
      + add notice if running a deactivated FIPS kernel (GH: #1348)
      + block enabling FIPS on clouds using Xenial
      + block enabling fips on GCP instances
      + check /proc/sys/crypto/fips_enable to see if fips is enabled
      + override fips metapackage when on bionic cloud
      + update metapackage override logic on fips
    - notices: clear lock file and notice when encountering any exception
      (GH: #1326)
    - reboot_cmds: retry on lock held errors due to pro auto-attach
    - services: allow uaclient to disable services during enable
    - status: include beta services in json formatted output with --all
      (GH: #1341)
    - tests:
      + add FIPS tests to AWS and Azure bionic images
      + add GCP pro test for focal machine
      + add after_step collection of artifacts on failure
      + remove proc file check after disabling fips
      + pro: block auto-attach with cloud-config bootcmd
      + add validation of systemd unit ua-reboot-cmds.service
      + test enabling fips-updates when fips is enabled
    - jenkins:
      - add deb build stage to assert package builds
      - use series-specific sbuild --build-dir avoid races
      - use --append-to-version for each sbuild run to avoid races
      - presume success when no integration artifacts created

 -- Lucas Moura <lucas.moura@canonical.com>  Thu, 04 Feb 2021 16:34:56 -0300

ubuntu-advantage-tools (26.0~21.04.1~beta) hirsute; urgency=medium

  * d/rules:
    - add --with systemd to allow reboot init script
    - do not remove lib/systemd/system folder
  * d/postinst:
    - create marker file when reboot script need to run:
      - enable livepatch across trusty to xenial upgrade
      - update fips on existing fips pro machines
  * New upstream release 26.0~beta:
    - gcp: add Google Cloud Platform support (GH #1269)
    - fips:
      + remove is_beta from fips sevices
      + fips pro: add upgrade support to require reboot to unmark held fips pkgs
      + update origin UbuntuFIPSUpdates
    - status:
      + add notice to tabular output
      + held locks emit notice about Operation in progress
    - cli: help sort output so trusty ordering matches xenial++
    - cis: rename service from cis-audit
    - config: provide config notices and add_notice and remove_notice methods
    - contract: add resource-machine-access route and datapath
    - init: add init script to run commands on reboot
    - keys: add ubuntu-advantage-cis keyring
    - livepatch: make livepatch react to enableByDefault delta
    - log: log when we install pkgs because of contract delta
    - make: drop six testdeps target
    - pro: do not install pro debs on non-pro instances
    - services: Update beta info for services (GH #1220)
    - tools: add tox-lxd-runner, that execute the test command in a shell
    - tools: refresh-keyrings handles cis keys. drop series-specific keys
    - tests:
      + add GCE support for integration tests
      + add cis integration tests for unattached and pro
      + add pytest constraint for mypy tests
      + add unittests for reboot_cmds script
      + fix esm package messages for new update notifier version
      + pin importlib-metadata for mypy tests
      + repo tests for request_resource_machine_access
      + unit tests for config cache clearing and machine-access data
    - jenkins:
      + add basic Jenkinsfile for CI runs per PR
      + add jenkins parseable test results
      + add lxc cleanup stage on Jenkinsfile

 -- Lucas Moura <lucas.moura@canonical.com>  Thu, 14 Jan 2021 10:08:20 -0300

ubuntu-advantage-tools (25.0~20.10.1) groovy; urgency=medium

  * Release version 25.0

 -- Chad Smith <chad.smith@canonical.com>  Fri, 04 Dec 2020 13:32:16 -0700

ubuntu-advantage-tools (25.0~20.10.1beta3) groovy; urgency=medium

  * New upstream release 25.0~beta3:
    - upgrade-lts-conract: noop during do-release-upgrade on unattached
      (GH: #1255)
    - ua-auto-attach: order systemd unit before cloud-config.service
    - Update FIPSUpdates pin origin
    - fips: unmark held fips packages for ubuntu pro fips image support
      (GH: #1109)
    - repo: handle changes to additionalPackages contract deltas
    - repo: move package installation to install_packages method
    - pro: trigger auto-attach as soon as instance-data.json is available
      (GH: #1234)
    - Conditionally install packages when enabling FIPS
    - fips: allow disable (GH: #1168)


=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                gettext,
                git,
                libapt-pkg-dev,
+               po-debconf,
                python3 (>= 3.4),
                python3-flake8,
                python3-mock,
                python3-pytest,
                python3-setuptools,
-               python3-yaml,
-               dh-systemd
+               python3-yaml
 Standards-Version: 4.3.0
 Homepage: https://buy.ubuntu.com
 Vcs-Git: https://github.com/CanonicalLtd/ubuntu-advantage-script.git
@@ -37,7 +37,7 @@
 
 Package: ubuntu-advantage-pro
 Architecture: any
-Depends: ubuntu-advantage-tools (>=20.2)
+Depends: ${misc:Depends}, ubuntu-advantage-tools (>=20.2)
 Replaces: ubuntu-advantage-tools (<<20.2)
 Breaks: ubuntu-advantage-tools (<<20.2)
 Description: utilities and services for Ubuntu Pro images

=== debian/rules ===
--- 
+++ 
@@ -39,26 +39,24 @@
 endif
 
 override_dh_gencontrol:
-	[ -z '$(APT_PKG_DEPS)' ] || echo extra:Depends=$(APT_PKG_DEPS) >> debian/ubuntu-advantage-tools.substvars
+	echo extra:Depends=$(APT_PKG_DEPS) >> debian/ubuntu-advantage-tools.substvars
 	dh_gencontrol
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/ubuntu-advantage-tools
 	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}
-ifeq (${VERSION_ID},"14.04")
 	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install
-endif
 
 ifeq (${VERSION_ID},"14.04")
-	# Move ua-auto-attach.conf to ubuntu-advantage-pro
+	# Move ua-auto-attach.conf out to ubuntu-advantage-pro
 	mkdir -p debian/ubuntu-advantage-pro/etc/init
 	mv debian/ubuntu-advantage-tools/etc/init/ua-auto-attach.conf debian/ubuntu-advantage-pro/etc/init/
 	rmdir debian/ubuntu-advantage-tools/etc/init
 else
-	# Move ua-auto-attach.service to ubuntu-advantage-pro
+	# Move ua-auto-attach.service out to ubuntu-advantage-pro
 	mkdir -p debian/ubuntu-advantage-pro/lib/systemd/system
-	mv debian/ubuntu-advantage-tools/lib/systemd/system/ua-auto-attach.service debian/ubuntu-advantage-pro/lib/systemd/system
-	cd debian/ubuntu-advantage-tools && rmdir -p lib/systemd/system
+	mv debian/ubuntu-advantage-tools/lib/systemd/system/ua-auto-attach.* debian/ubuntu-advantage-pro/lib/systemd/system
+	cd debian/ubuntu-advantage-tools
 endif
 
 override_dh_auto_clean:
